Bug 1120146 - neutron-dhcp-agent and neutron-lbaas-agent fail to start
Summary: neutron-dhcp-agent and neutron-lbaas-agent fail to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 4.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z5
: 4.0
Assignee: Ihar Hrachyshka
QA Contact: Nir Magnezi
URL:
Whiteboard:
Depends On: 1119619
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 10:34 UTC by Ihar Hrachyshka
Modified: 2016-04-26 14:38 UTC (History)
11 users (show)

Fixed In Version: openstack-neutron-2013.2.3-15.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, LBaaS and DHCP agents relied on the Python code located in openvswitch plugin specific location. The code was pulled into a separate openstack-neutron-openvswitch package. As a result, if the plugin package was not installed, LBaaS and DHCP agents failed on startup. With this bug fix, all Python code is pulled from plugin specific packages back to python-neutron to make sure no Python import dependencies are broken. As a result, LBaaS and DHCP agents start up successfully with no openstack-neutron-openvswitch package installed.
Clone Of: 1119619
Environment:
Last Closed: 2014-10-22 17:23:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1686 normal SHIPPED_LIVE Moderate: openstack-neutron security and bug fix update 2014-10-22 21:21:18 UTC

Comment 1 Ihar Hrachyshka 2014-07-16 10:35:07 UTC
The bug was revealed during testing for Icehouse, but it's still there in Havana packaging. So I've cloned the original bug to Havana to fix it there too.

Comment 3 yfried 2014-07-20 06:15:04 UTC
On RHEL7

openstack-neutron-2014.1.1-4.el7ost.noarch

[root@puma46 ~]# openstack-status
== neutron services ==
neutron-server:                         inactive  (disabled on boot)
neutron-dhcp-agent:                     active
neutron-l3-agent:                       active
neutron-metadata-agent:                 active
neutron-lbaas-agent:                    active
neutron-openvswitch-agent:              active

Comment 4 yfried 2014-07-21 05:36:04 UTC
wrong bug (should have verified on icehouse)

Comment 6 Nir Magnezi 2014-10-08 07:54:38 UTC
Verified NVR: openstack-neutron-2013.2.4-4.el6ost.noarch

Post installation (RHEL6.6 SElinux Enforcing):
# openstack-status | grep neutron
== neutron services ==
neutron-server:                         active
neutron-dhcp-agent:                     active
neutron-l3-agent:                       active
neutron-metadata-agent:                 active
neutron-lbaas-agent:                    active
neutron-openvswitch-agent:              active

Comment 8 errata-xmlrpc 2014-10-22 17:23:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2014-1686.html


Note You need to log in before you can comment on or make changes to this bug.